<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.sugarormonetomany">

<!--both lines are correct-->
<!-- correct:   android:name="com.orm.SugarApp"-->
<!--  correct:  android:name=".utils.BaseApplication"-->

    <application
        android:name=".utils.BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".MainActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <meta-data
            android:name="DATABASE"
            android:value="sugar_one_to_many.db" />
        <!--       my note: error: no such column. solution: increase version -->
        <meta-data
            android:name="VERSION"
            android:value="2" />
        <meta-data
            android:name="QUERY_LOG"
            android:value="true" />
        <meta-data
            android:name="DOMAIN_PACKAGE_NAME"
            android:value="com.example.sugarormonetomany.model" />


    </application>

</manifest>